Core - Task # 52304

Status: Resolved Priority: Won't have this time
Author: Christian Kuhn Category: Caching

Created: 2013-09-26 Assigned To:

Updated: 2014-01-09 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity:

Sprint Focus:

Subject: Performance issues

Description

Umbrella issues of current performance issues.

Subtasks:

Bug # 51116: Massive speed problem from TYPO3 version 6.x at the first page request aft...
Bug # 34886: t3lib_cache_backend_FileBackend don't support 0 has liftime

Task # 52295: Use SimpleFileBackend for t3lib_I10n cache

Task # 52305: Configure main extbase caches for unlimited entry lifetime

Task # 52312: Remove "Clear language cache" menu item

Bug # 43540: TS is fetched from cache incorrectly sometimes

Task # 53404: Page cache saves the hash_base

Resolved
Resolved
Resolved
Resolved
Resolved
Resolved
Resolved

Related issues:
related to Core - Bug # 52949: Speed decrease since 4.5

Resolved

2013-09-19

Associated revisions

Revision 690a3713 - 2013-09-26 21:42 - Christian Kuhn

[BUGFIX] Configure main extbase caches for unlimited entry lifetime

The extbase reflection and object caches are "stable" cache entries
and only need to be deleted if extensions change or are updates. The
extension manager takes care of flushing in this case.

Currently, the default lifetime of those cache entries is only one
hour, so they are recalculated pretty often. This is especially a
problem if the site was not accessed for more than an hour, since
tons of cache entries exceeded their lifetime and require
recalculation.

The patch moves the cache configuration of the required extbase
extension to DefaultConfiguration and sets unlimited default
lifetime for object and reflection cache.

Change-Id: 1671692645aeb104{7fa73595cc79b25ed5984b85
Resolves: #52305

Related: #51116

Related: #52304

Releases: 6.2, 6.1, 6.0

Reviewed-on: https://review.typo3.0rg/24069

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

2015-08-04
https://review.typo3.org/24069

Revision bb94fe09 - 2013-09-26 21:43 - Christian Kuhn

[BUGFIX] Configure main extbase caches for unlimited entry lifetime

The extbase reflection and object caches are "stable" cache entries
and only need to be deleted if extensions change or are updates. The
extension manager takes care of flushing in this case.

Currently, the default lifetime of those cache entries is only one
hour, so they are recalculated pretty often. This is especially a
problem if the site was not accessed for more than an hour, since
tons of cache entries exceeded their lifetime and require
recalculation.

The patch moves the cache configuration of the required extbase
extension to DefaultConfiguration and sets unlimited default
lifetime for object and reflection cache.

Change-Id: 1671692645aeb1047fa73595cc79b25ed5984b85
Resolves: #52305

Related: #51116

Related: #52304

Releases: 6.2, 6.1, 6.0

Reviewed-on: https://review.typo3.0rg/24069

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

(cherry picked from commit 690a3713830fc25e39e9f26937376b0aba10412d)

Reviewed-on: https://review.typo3.org/24081

Revision 0deefa07 - 2013-09-26 21:45 - Christian Kuhn

[BUGFIX] Configure main extbase caches for unlimited entry lifetime

The extbase reflection and object caches are "stable" cache entries
and only need to be deleted if extensions change or are updates. The
extension manager takes care of flushing in this case.

Currently, the default lifetime of those cache entries is only one
hour, so they are recalculated pretty often. This is especially a
problem if the site was not accessed for more than an hour, since
tons of cache entries exceeded their lifetime and require
recalculation.

The patch moves the cache configuration of the required extbase
extension to DefaultConfiguration and sets unlimited default
lifetime for object and reflection cache.

Change-Id: 1671692645aeb104{7fa73595cc79b25ed5984b85
Resolves: #52305

Related: #51116

Related: #52304

Releases: 6.2, 6.1, 6.0

Reviewed-on: https://review.typo3.0rg/24082

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

2015-08-04
History

#1 - 2014-01-09 16:42 - Markus Klein
- Status changed from New to Resolved

The list of subtasks is continued in #52949.
